umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_umlforeignkeyconstraintdialog.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/umlforeignkeyconstraintdialog.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_UMLForeignKeyConstraintDialog_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_UMLForeignKeyConstraintDialog_t | qt_meta_stringdata_UMLForeignKeyConstraintDialog
static const uint | qt_meta_data_UMLForeignKeyConstraintDialog []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_UMLForeignKeyConstraintDialog_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_UMLForeignKeyConstraintDialog_t
Definition: moc_umlforeignkeyconstraintdialog.cpp:24

## Variable Documentation

## ◆ qt_meta_data_UMLForeignKeyConstraintDialog

const uint qt_meta_data_UMLForeignKeyConstraintDialog[]
| static

## ◆ qt_meta_stringdata_UMLForeignKeyConstraintDialog

const qt_meta_stringdata_UMLForeignKeyConstraintDialog_t qt_meta_stringdata_UMLForeignKeyConstraintDialog
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 29),
QT_MOC_LITERAL(1, 30, 20),
QT_MOC_LITERAL(2, 51, 0),
QT_MOC_LITERAL(3, 52, 9),
QT_MOC_LITERAL(4, 62, 6),
QT_MOC_LITERAL(5, 69, 11),
QT_MOC_LITERAL(6, 81, 14),
QT_MOC_LITERAL(7, 96, 27),
},
"UMLForeignKeyConstraintDialog\0"
"slotResetWidgetState\0\0slotApply\0slotOk\0"
"slotAddPair\0slotDeletePair\0"
"slotReferencedEntityChanged\0index"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_umlforeignkeyconstraintdialog.cpp:28